Summary: full-text search program for Sylpheed
Summary(ja): Sylpheed の全文検索プログラム
Name: sylph-searcher
Version: 1.2.0
Release: 5%{?_dist_release}
License: modified BSD
Group: Applications/Internet
URL: http://sylpheed.sraoss.jp/ja/download.html#searchrer
Source0: http://sylpheed.sraoss.jp/sylpheed/misc/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel >= 2.4.0
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: mecab-devel >= 0.96
BuildRequires: postgresql-devel >= 8.3
BuildRequires: libsylph-devel >= 1.0.0
#Requires: sylpheed
Requires: glib2 >= 2.4.0
Requires: gtk2 >= 2.4.0
Requires: mecab >= 0.96
Requires: postgresql-server >= 8.3
Requires: libsylph >= 1.0.0

Packager: iwaim
Vendor: Project Vine
Distribution: Vine Linux

%description
Sylph-Searcher (tentative name) is a full-text search program for messages
stored in the mailboxes of Sylpheed, or generic MH folders.
It utilizes the full-text search feature of PostgreSQL 8.3 (it will work
with 8.2, but 8.3 is recommended because the full-text search feature was
integrated at the version).

%description -l ja
Sylph-Searcher は Sylpheed のメールボックス、あるいは他のメールソフトの
MH フォルダに保存されているメッセージを全文検索するプログラムです。
PostgreSQL 8.3の全文検索機能を利用しています(8.2 でも動作しますが、
全文検索機能が標準で組み込まれた 8.3 の使用を推奨します)。

%prep
%setup -q

%build
%configure
make

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README* COPYING ChangeLog NEWS
%{_bindir}/syl*
%{_datadir}/%{name}

%changelog
* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 1.2.0-5
- build with current VineSeed

* Wed Dec 12 2012 IWAI, Masaharu <iwai@alib.jp> 1.2.0-4
- rebuild with mecab 0.994

* Sat Dec 31 2011 IWAI, Masaharu <iwai@alib.jp> 1.2.0-3
- rebuild with mecab 0.99

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 1.2.0-2
- rebuilt with postgresql-9.0.3

* Tue Mar  9 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.0-1
- Initial build.


